Package Details: light-git 1.2.2.r2.g33f2316-1

Git Clone URL: https://aur.archlinux.org/light-git.git (read-only, click to copy)
Package Base: light-git
Description: Program to easily change brightness on backlight-controllers.
Upstream URL: https://github.com/haikarainen/light
Licenses: GPL3
Conflicts: light
Provides: light
Submitter: nickelpro
Maintainer: MarcinWieczorek (haikarainen)
Last Packager: MarcinWieczorek
Votes: 31
Popularity: 1.09
First Submitted: 2015-08-10 22:13
Last Updated: 2020-06-22 17:29

Required by (8)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

02m commented on 2018-08-13 16:11

Thanks @shanewstone, it worked for me as well!

shanewstone commented on 2018-08-13 07:14

In the build section, running ./configure without --prefix=/usr leads to the files being placed in /usr/local/ instead of /usr/. Here is a partial diff showing what worked for me:

 pkgrel=1
 pkgdesc='Program to easily change brightness on backlight-controllers.'
 arch=('i686' 'x86_64')
 url="https://github.com/haikarainen/light"
 license=('GPL3')
-makedepends=('git' 'help2man')
+makedepends=('git')
 conflicts=('light')
 provides=('light')
 source=('git+https://github.com/haikarainen/light.git')
@@ -22,7 +22,7 @@ pkgver() {
 build(){
   cd "$srcdir/light"
   ./autogen.sh
-  ./configure
+  ./configure --prefix=/usr
   make
 }

02m commented on 2018-08-10 10:58

Upgrade (1.0.r7.g5b302a0-1 -> 1.1.2.r22.g5d5e3c3-1) fails with errors:

error: failed to commit transaction (conflicting files) light-git: /usr/local/share/man exists in filesystem (owned by filesystem) Errors occurred, no packages were upgraded.

I am upgrading with yay.

benutzer193 commented on 2018-08-08 20:47

Hi,

help2man can be removed from makedepends, see: https://github.com/haikarainen/light/pull/41

With the current PKGBUILD make install command, the files are installed to /usr/local, you should add PREFIX=/usr:

make DESTDIR="$pkgdir" PREFIX=/usr install

asantam commented on 2018-08-07 23:32

Hi,

The build fails with message: (make: *** No targets specified and no makefile found.)

Current source from git requires autogen.sh and configure scripts to run before being able to "make".

qwertea commented on 2018-03-02 21:50

Great little tool.

MarcinWieczorek commented on 2016-10-16 21:08

I reported it on their github

MarcinWieczorek commented on 2016-10-15 20:03

You might be right. This must be solved in upstream.

nilesrogoff commented on 2016-10-15 20:02

It appears to compile twice: http://i.imgur.com/HBeNESt.png

Anonymous comment on 2016-04-18 07:27

light is a binary executable, this should not be an arch=('any') package. Please set at least arch=('x86_64'), and add any other architectures this is known to work on.